Bug 328018 - Face-related XMP metadata not displayed
Summary: Face-related XMP metadata not displayed
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Xmp (show other bugs)
Version: 3.5.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 16:33 UTC by Jānis Elmeris
Modified: 2017-08-13 07:30 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
A photo with XMP face tags that digiKam does not display (20.91 KB, image/jpeg)
2013-11-26 08:51 UTC, Jānis Elmeris
Details
Sample image with Darwin Core XMP metadata (52.29 KB, image/jpeg)
2013-11-26 15:33 UTC, Alan Pater
Details
DwC & MWG Regions XMP key descriptions (705 bytes, patch)
2014-04-20 21:44 UTC, Alan Pater
Details
add "dwc" keys filter (545 bytes, patch)
2014-04-20 21:45 UTC, Alan Pater
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jānis Elmeris 2013-11-24 16:33:08 UTC
When I view XMP metadata (on the right side of the images), I can see no face-related information, although it is there as displayed by, for example, ExifTool.

I'm sure digiKam can read face information from XMP metadata, as when I moved sample photos into digiKam album and synchronised metadata to digiKam DB, the faces appeared all right. But the info doesn't get displayed on the metadata tab (where I've selected to view all properties). It also doesn't get copied into clipboard if I click on that icon.

Displaying of XMP metadata as such is supported, as I see other properties, usually the XMP metadata modification time which is itself a XMP metadata property. Also, there is an option to select to see XMP region information in the custom filtered properties view (mwg-rs category).

Reproducible: Always
Comment 1 caulier.gilles 2013-11-24 17:39:15 UTC
Instead to use Exiftool, try to use Exiv2 command line tool to see if face XMP info can been shown. Exiv2 shared lib is used in background by digiKam to play with metadata.

Also, look on the top of XMP metadata viewver, you have a button to switch from Custom to Full view of metadata tags. Use Full mode and try again.

Gilles Caulier
Comment 2 Jānis Elmeris 2013-11-25 20:27:32 UTC
OK, now I'm doing it with Exiv2. Took an unmarked image and did the face recognition. digiKam added a bunch of XMP info, including the people tag, which can be seen in digiKam XMP metadata viewer, however specifically all Xmp.mwg-rs(.Regions)* properties listed by Exiv2 are not displayed in digiKam.

Yes, I have the full view of all metadata switched on.

(I experienced some kind of problem with digiKam assigning face data to another file B (with the same name but up one directory) not that I was actually modifying (A), resulting in all the XMP metadata being attached to B while displaying the face only in A, but not in B... But that is probably going to another bug report once I understand better what exactly is happening.)
Comment 3 caulier.gilles 2013-11-25 22:28:33 UTC
Veaceslav,

As you have work this summer on face tags metadata support, can you give some light here.

Thanks in advance

Gilles Cauier
Comment 4 caulier.gilles 2013-11-25 22:29:54 UTC
Janis,

Please share with us some sample images where you cannot see any face tags in XMP.

Also, do you use digiKam XMP sidecar feature ?

Gilles Caulier
Comment 5 Jānis Elmeris 2013-11-26 08:51:12 UTC
Created attachment 83770 [details]
A photo with XMP face tags that digiKam does not display
Comment 6 caulier.gilles 2013-11-26 15:00:06 UTC
Janis,

See my screenshot here :

http://www.flickr.com/photos/digikam/11068342554/

It's possible to show all XMP tags with some dirty patch in code. This need to be polished to be published in production, but as you can see, your image with M$ XMP face tags are properly displayed and imported here... Look especially XMP viewer (:=)))...

Gilles Caulier
Comment 7 Alan Pater 2013-11-26 15:33:50 UTC
Created attachment 83774 [details]
Sample image with Darwin Core XMP metadata

as per Gilles Cauliers  suggestion, I am posting this image here. DwC XMP metatags also do not show up in digikam.
Comment 8 caulier.gilles 2013-11-26 15:44:08 UTC
Alan,

DwC XMp namespace can be show with my dirty patch, as you can see in my screenshot :

http://www.flickr.com/photos/digikam/11068905305/

Gilles Caulier
Comment 9 Jānis Elmeris 2013-11-26 19:46:45 UTC
Yes, thank you! I have digiKam 3.3.0, so when there is an update, I suppose I'll get the fix.
Comment 10 caulier.gilles 2013-11-26 21:52:13 UTC
Only future 4.0.0 release. Plan is here :

http://community.kde.org/Digikam/GSoC2013#Roadmap_and_Releases_Plan_including_all_GSoC-2013_works

Gilles Caulier
Comment 11 caulier.gilles 2013-11-26 23:15:56 UTC
Git commit 11a9ebe819c2705ea0e7a2d8d2f2ad05d1ac7c41 by Gilles Caulier.
Committed on 26/11/2013 at 23:14.
Pushed by cgilles into branch 'master'.

LibKexiv2 : if filter is an empty list, no filter is apply on tags list

M  +10   -4    libkexiv2/kexiv2.h
M  +14   -7    libkexiv2/kexiv2exif.cpp
M  +43   -21   libkexiv2/kexiv2iptc.cpp
M  +42   -21   libkexiv2/kexiv2xmp.cpp

http://commits.kde.org/libkexiv2/11a9ebe819c2705ea0e7a2d8d2f2ad05d1ac7c41
Comment 12 caulier.gilles 2013-11-27 10:52:42 UTC
Git commit 48908ca573a2d9a3d51a90b7a18941932e43c972 by Gilles Caulier.
Committed on 27/11/2013 at 10:49.
Pushed by cgilles into branch 'master'.

Add new metadata tags filter option button with drop-down menu.
Add new option to not filter tags.
Rename "Full" tags filter as "Photograph"
Move tags search text field on top of metadata list view to optimize space visible on list-view
Add new metadata tags tools option button with drop-down menu to group all tools action and simplify GUI.
FIXED-IN: 4.0.0

M  +13   -7    libs/widgets/metadata/exifwidget.cpp
M  +12   -6    libs/widgets/metadata/iptcwidget.cpp
M  +12   -6    libs/widgets/metadata/makernotewidget.cpp
M  +20   -6    libs/widgets/metadata/metadatalistview.cpp
M  +96   -96   libs/widgets/metadata/metadatawidget.cpp
M  +9    -5    libs/widgets/metadata/metadatawidget.h
M  +13   -7    libs/widgets/metadata/xmpwidget.cpp

http://commits.kde.org/digikam/48908ca573a2d9a3d51a90b7a18941932e43c972
Comment 13 caulier.gilles 2013-11-27 10:54:20 UTC
Janis, Alan,

Done for 4.0.0 release : 

http://www.flickr.com/photos/digikam/11082411096/

Gilles Caulier
Comment 14 Jānis Elmeris 2013-11-27 18:46:11 UTC
Yes, thank you!
Comment 15 Alan Pater 2014-04-20 21:44:55 UTC
Created attachment 86192 [details]
DwC & MWG Regions XMP key descriptions
Comment 16 Alan Pater 2014-04-20 21:45:45 UTC
Created attachment 86193 [details]
add "dwc" keys filter
Comment 17 caulier.gilles 2014-06-16 07:58:02 UTC
Git commit 4cc0d93d9cb9ddc5b6ffc2e155f66745e05643c8 by Gilles Caulier.
Committed on 16/06/2014 at 07:57.
Pushed by cgilles into branch 'master'.

apply patch #86192 from Alan Pater

M  +10   -0    libs/widgets/metadata/mdkeylistviewitem.cpp
M  +1    -1    libs/widgets/metadata/mdkeylistviewitem.h

http://commits.kde.org/digikam/4cc0d93d9cb9ddc5b6ffc2e155f66745e05643c8
Comment 18 caulier.gilles 2014-06-16 08:02:16 UTC
Git commit 3548d968e755facf4773b31aae2fe64cad1b83cf by Gilles Caulier.
Committed on 16/06/2014 at 07:59.
Pushed by cgilles into branch 'master'.

apply patch #86193 from Alan PAter

M  +1    -0    libkexiv2/kexiv2xmp.cpp

http://commits.kde.org/libkexiv2/3548d968e755facf4773b31aae2fe64cad1b83cf